Package com.emc.documentum.rest.model

# Class ContentAttribute

java.lang.Object
com.emc.documentum.rest.model.ContentAttribute

public class ContentAttribute extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATE_TYPE`
  `static final int`
  `NUMBER_TYPE`
  `static final int`
  `STRING_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentAttribute(String attributeName, String attributeValue, Integer attributeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object anObject)`
  `String`
  `getAttributeName()`
  `Integer`
  `getAttributeType()`
  `String`
  `getAttributeValue()`
  `int`
  `hashCode()`
  `void`
  `setAttributeName(String attributeName)`
  `void`
  `setAttributeType(Integer attributeType)`
  `void`
  `setAttributeValue(String attrValue)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STRING_TYPE

    public static final int STRING_TYPE
    See Also:
      - Constant Field Values

  - ### DATE_TYPE

    public static final int DATE_TYPE
    See Also:
      - Constant Field Values

  - ### NUMBER_TYPE

    public static final int NUMBER_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContentAttribute

    public ContentAttribute(String attributeName, String attributeValue, Integer attributeType)

- ## Method Details

  - ### getAttributeName

    public String getAttributeName()

  - ### setAttributeName

    public void setAttributeName(String attributeName)

  - ### getAttributeType

    public Integer getAttributeType()

  - ### setAttributeType

    public void setAttributeType(Integer attributeType)

  - ### getAttributeValue

    public String getAttributeValue()

  - ### setAttributeValue

    public void setAttributeValue(String attrValue)

  - ### equals

    public boolean equals(Object anObject)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`